### Method

# EDataBook BookBackend dup_view_indices

since: 3.50

#### Declaration [src]

    EBookIndices*
    e_book_backend_dup_view_indices (
      EBookBackend* backend,
      gsize view_id
    )

#### Description [src]

Returns a list of `EBookIndices` holding indices of the contacts in the view identified by `view_id`. The array is terminated by an item with chr member being `NULL`.

The default implementation returns an array previously set by e_book_backend_set_view_indices().

Free the returned array with e_book_indices_free(), when no longer needed.

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

#### Return value

Type: `EBookIndices`

An array of `EBookIndices`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.